List Invoices
/unified/subscription-management/invoices
Query Parameters
Refer Specifying query parameters in Truto APIs
Unique identifier for the customer
3 supported
Status of the invoice. In case there is no clear mapping, the raw status is passed.
cancelleddraftfailedpaidpendingrefunded
5 supported
Date when the invoice was paid or marked as paid
4 supported
Date and time when the invoice was created
5 supported
Date and time when the invoice was last updated
2 supported
2 supported
Date and time when the invoice was created
ascdesc
2 supported
Due date of the invoice
ascdesc
1 supported
Date of the invoice
ascdesc
1 supported
Date and time when the invoice was last updated
ascdesc
2 supported
Invoice number
5 supported
Unique identifier for the subscription associated with the invoice
3 supported
Due date of the invoice
4 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Invoices
Unique identifier for the invoice
5 supported
Balance amount to be paid
5 supported
Date and time when the invoice was created
5 supported
Currency of the invoice
5 supported
5 supported
6 properties
Date and time when the customer was created
Email of the customer
Unique identifier for the customer
Name of the customer
Phone number of the customer
Date and time when the customer was last updated
Due date of the invoice
4 supported
Exchange rate of the currency of the invoice
1 supported
Whether the invoice is recurring or not
1 supported
Date of the invoice
3 supported
List of line items associated with the invoice
4 supported
12 properties
The currency of the line item
The description of the line item
The exchange rate of the currency for the line item
The unique identifier for line item
The ID of the item
The name of the line item
The quantity of the line item
The tax amount of the line item
The ID of the tax rate
The total line amount of the line item.
The type of the line item
The unit price of the line item
Memo of the invoice
1 supported
Invoice number
5 supported
Date when the invoice was paid or marked as paid
4 supported
List of payments associated with the invoice
3 supported
8 properties
Amount of the payment
Date and time when the payment was created
Currency of the payment
Exchange rate of the currency of the payment
Unique identifier for the payment
Payment method used for the payment. In case there is no clear mapping, the raw payment method is passed.
cardbank_transfercashcheckpaypalwalletwire_transfer
Status of the payment. In case there is no clear mapping, the raw status is passed.
pendingauthorizedpaidpartialrefundedvoidedcancelledunknown
Date and time when the payment was last updated
Raw data returned from the remote API call.
Status of the invoice. In case there is no clear mapping, the raw status is passed.
pendingpaidfailedcancelledrefundeddraft
5 supported
Sub total of the invoice
5 supported
Unique identifier for the subscription associated with the invoice
3 supported
Total discount applied to the invoice
4 supported
Total tax amount of the invoice
5 supported
Transaction fee on a payment
1 supported
Date and time when the invoice was last updated
2 supported
curl -X GET 'https://api.truto.one/unified/subscription-management/invoices?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/subscription-management/invoices?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/subscription-management/invoices"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'subscription-management',
'invoices',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"subscription-management",
"invoices",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())